Bug 677626 (CVE-2011-0446) - CVE-2011-0446 rubygem-actionpack: Multiple XSS flaws via crafted name or email value in the mail_to_helper
Summary: CVE-2011-0446 rubygem-actionpack: Multiple XSS flaws via crafted name or emai...
Keywords:
Status: NEW
Alias: CVE-2011-0446
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110208,reported=20110214,sou...
Depends On: 677628 677629
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-15 11:54 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jan Lieskovsky 2011-02-15 11:54:11 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-0446 to
the following vulnerability:

Multiple cross-site scripting (XSS) vulnerabilities in the mail_to
helper in Ruby on Rails before 2.3.11, and 3.x before 3.0.4, when
javascript encoding is used, allow remote attackers to inject
arbitrary web script or HTML via a crafted (1) name or (2) email
value.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-0446
[2] http://groups.google.com/group/rubyonrails-security/browse_thread/thread/f02a48ede8315f81?tvc=2

Upstream patch:
[3] http://groups.google.com/group/rubyonrails-security/attach/365b8a23b76a6b4a/2-3-mailto.patch?part=3
    (against v2.3 version)
[4] http://groups.google.com/group/rubyonrails-security/attach/365b8a23b76a6b4a/3-0-mailto.patch?part=4
    (against v3.0 version)

Comment 1 Jan Lieskovsky 2011-02-15 11:58:23 UTC
This issue affects the versions of the rubygem-actionpack package,
as shipped with Fedora release of 13 and 14.

--

This issue affects the version of the rubygem-actionpack package,
as present within EPEL-5 repository.

Please schedule an update.

Comment 2 Jan Lieskovsky 2011-02-15 11:59:35 UTC
Created rubygem-actionpack tracking bugs for this issue

Affects: fedora-all [bug 677628]
Affects: epel-5 [bug 677629]

Comment 3 Fedora Update System 2014-11-16 04:17:00 UTC
rubygem-actionpack-2.3.18-1.el5, rubygem-activerecord-2.3.18-1.el5, rubygem-activesupport-2.3.18-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.